Skip to main content
PUT
/
v1
/
mydids
/
{id}
Update number
curl --request PUT \
  --url https://api.wavix.com/v1/mydids/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "call_recording_enabled": true,
  "transcription_enabled": true,
  "transcription_threshold": 30,
  "sms_relay_url": "https://you-site.com/sms",
  "call_status_url": "https://your-site.com/calls"
}
'
{
  "id": 123,
  "number": "12565378257",
  "activation_fee": "0.99",
  "monthly_fee": "0.99",
  "per_min": "0.01",
  "city": "DETROIT, MI",
  "state": "example",
  "country": "United States",
  "country_short_name": "US",
  "destination": [
    {
      "id": 1,
      "destination": "[did]@sipuri.com",
      "priority": 1,
      "transport": 1,
      "trunk_id": 23123,
      "srtp": false,
      "trunk_label": "My trunk"
    }
  ],
  "channels": 24,
  "require_docs": [
    "1"
  ],
  "documents": [
    {
      "id": 423,
      "allow_replace": false,
      "did_number": "12565378257",
      "doc_content_type": "image/png",
      "doc_file_name": "Copy of ID.png",
      "doc_type_id": 1,
      "status": "approved",
      "url": "https://api.wavix.com/v1/mydids/24882/papers/1"
    }
  ],
  "domestic_cli": true,
  "free_min": 123,
  "unlimited": true,
  "label": "example",
  "status": "example",
  "seconds": "example",
  "added": "2023-04-10T06:42:59.000Z",
  "paid_until": "2023-12-07",
  "sms_enabled": false,
  "sms_relay_url": "https://your-website.com/webhook",
  "cnam": true,
  "call_recording_enabled": true,
  "transcription_enabled": true,
  "transcription_threshold": 6,
  "call_status_url": "https://example.com"
}

Authorizations

Authorization
string
header
required

Bearer token using appid (Authorization: Bearer )

Path Parameters

id
integer<int32>
required

Phone number ID.

Example:

123

Body

application/json
call_recording_enabled
boolean

Indicates whether call recording is enabled.

Example:

true

transcription_enabled
boolean

Indicates whether transcription is enabled.

Example:

true

transcription_threshold
integer

Transcription threshold in seconds.

Example:

30

sms_relay_url
string

Callback URL for inbound messages. Set to null to remove routing.

Example:

"https://you-site.com/sms"

call_status_url
string

Callback URL for call status updates.

Example:

"https://your-site.com/calls"

Response

Phone number updated.

id
integer<int32>
required

Phone number ID.

Example:

123

number
string
required

Phone number.

Example:

"12565378257"

activation_fee
string
required

One-time activation fee in USD.

Example:

"0.99"

monthly_fee
string
required

Monthly fee in USD.

Example:

"0.99"

per_min
string
required

Price per inbound minute in USD.

Example:

"0.01"

city
string
required

City or rate center where the phone number originates.

Example:

"DETROIT, MI"

country
string
required

Country where the phone number originates.

Example:

"United States"

country_short_name
string
required

Two-letter ISO country code.

Example:

"US"

destination
InboundCallDestination · object[]
required

Inbound call destinations set for the phone number.

channels
integer<int32>
required

Maximum number of concurrent inbound calls.

Example:

24

require_docs
string[]
required

Documents required to activate the phone number.

Example:
["1"]
documents
NumberDocument · object[]
required

Uploaded documents for the phone number.

domestic_cli
boolean
required

Indicates whether the number can be used as the Caller ID for local calls.

label
string | null
required

Label assigned to the phone number.

status
string
required

Phone number status. active means the number can receive and place calls; inactive means it cannot.

seconds
string
required

Total inbound call duration in seconds for current month.

added
string<date-time>
required

Date and time the phone number was purchased in ISO 8601 format.

Example:

"2023-04-10T06:42:59.000Z"

paid_until
string<date>
required

Date until which the number is paid.

Example:

"2023-12-07"

sms_enabled
boolean
required

Indicates whether SMS is enabled.

Example:

false

sms_relay_url
string | null
required

Callback URL for inbound SMS and MMS messages.

Example:

"https://your-website.com/webhook"

cnam
boolean | null
required

Indicates whether CNAM is enabled.

Example:

true

call_recording_enabled
boolean
required

Indicates whether call recording is enabled.

Example:

true

transcription_enabled
boolean
required

Indicates whether transcription is enabled.

Example:

true

transcription_threshold
integer<int32>
required

Minimum call duration in seconds to trigger transcription.

Example:

6

state
string

State where the phone number originates. For non-US numbers, this field may be null.

free_min
integer

Number of free inbound minutes.

unlimited
boolean

Indicates whether usage is unlimited.

call_status_url
string | null

Callback URL for call status updates.

Example:

"https://example.com"